> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll crew execution events

> Returns accumulated CrewAI events for a crew execution run.



## OpenAPI

````yaml get /api/events/{correlation_id}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/events/{correlation_id}:
    get:
      tags:
        - Events
      summary: Poll crew execution events
      description: Returns accumulated CrewAI events for a crew execution run.
      operationId: get_events_api_events__correlation_id__get
      parameters:
        - name: correlation_id
          in: path
          required: true
          schema:
            type: string
            minLength: 36
            maxLength: 36
            description: UUID the API returns when you start a crew execution.
            title: Correlation Id
          description: UUID the API returns when you start a crew execution.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: >-
              Index to start reading from. Track this value across polls to
              receive only new events.
            default: 0
            title: Offset
          description: >-
            Index to start reading from. Track this value across polls to
            receive only new events.
      responses:
        '200':
          description: List of event objects since the given offset.
          content:
            application/json:
              schema:
                type: array
                items:
                  additionalProperties: true
                  type: object
                title: Response Get Events Api Events  Correlation Id  Get
        '400':
          description: Invalid correlation ID format.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````